com.beanit.asn1bean.ber.types

## Class BerEmbeddedPdv.Identification.ContextNegotiation

- java.lang.Object
- - com.beanit.asn1bean.ber.types.BerEmbeddedPdv.Identification.ContextNegotiation

- All Implemented Interfaces:
    BerType, java.io.Serializable
  Enclosing class:
    BerEmbeddedPdv.Identification

      public static class BerEmbeddedPdv.Identification.ContextNegotiation
      extends java.lang.Object
      implements BerType, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BerTag` | `tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextNegotiation()`
    `ContextNegotiation(byte[] code)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendAsString(java.lang.StringBuilder sb, int indentLevel)`
    `int` | `decode(java.io.InputStream is)`
    `int` | `decode(java.io.InputStream is, boolean withTag)`
    `int` | `encode(java.io.OutputStream reverseOS)`
    `int` | `encode(java.io.OutputStream reverseOS, boolean withTag)`
    `void` | `encodeAndSave(int encodingSizeGuess)`
    `BerInteger` | `getPresentationContextId()`
    `BerObjectIdentifier` | `getTransferSyntax()`
    `void` | `setPresentationContextId(BerInteger presentationContextId)`
    `void` | `setTransferSyntax(BerObjectIdentifier transferSyntax)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tag

          public static final BerTag tag

  - ### Constructor Detail

    - #### ContextNegotiation

          public ContextNegotiation()

    - #### ContextNegotiation

          public ContextNegotiation(byte[] code)

  - ### Method Detail

    - #### getPresentationContextId

          public BerInteger getPresentationContextId()

    - #### setPresentationContextId

          public void setPresentationContextId(BerInteger presentationContextId)

    - #### getTransferSyntax

          public BerObjectIdentifier getTransferSyntax()

    - #### setTransferSyntax

          public void setTransferSyntax(BerObjectIdentifier transferSyntax)

    - #### encode

          public int encode(java.io.OutputStream reverseOS)
                     throws java.io.IOException

      Specified by:
        `encode` in interface `BerType`
      Throws:
        `java.io.IOException`

    - #### encode

          public int encode(java.io.OutputStream reverseOS,
                            boolean withTag)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decode

          public int decode(java.io.InputStream is)
                     throws java.io.IOException

      Specified by:
        `decode` in interface `BerType`
      Throws:
        `java.io.IOException`

    - #### decode

          public int decode(java.io.InputStream is,
                            boolean withTag)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeAndSave

          public void encodeAndSave(int encodingSizeGuess)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### appendAsString

          public void appendAsString(java.lang.StringBuilder sb,
                                     int indentLevel)